petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatFactorShiftType

Numeric Shift for factorizations

### Synopsis

    typedef enum {MAT_SHIFT_NONE,MAT_SHIFT_NONZERO,MAT_SHIFT_POSITIVE_DEFINITE,MAT_SHIFT_INBLOCKS} MatFactorShiftType;

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages